<template>
  <v-row align="center" justify="center" class="slideup-everywher text-center">
    <v-col cols="12" class="pb-12 text-center">
      <h2>
        {{ $t('htmProduct.howHtm.title') }}
      </h2>
    </v-col>
    <v-col v-for="(item, i) in dataGiven" :key="item.title" cols="12" md="6" lg="4">
      <v-card
        v-scrollAnime
        :color="colors[i]"
        dark
        height="280"
        :class="
          $vuetify.breakpoint.smAndDown
            ? 'mx-auto text-center pa-2'
            : 'mx-auto text-center pa-6'
        "
      >
        <h3 class="headline">
          {{ item.title }}
        </h3>

        <v-card-subtitle>
          {{ item.desc }}
        </v-card-subtitle>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
export default {
  name: 'HtmHow',
  props: {
    dataGiven: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      colors: ['#24556f', '#425d6a', '#6f3777'],
    };
  },
};
</script>
